# don't provide private .so
%global __provides_exclude_from %{_libdir}/%{name}/.*\\.so

%global __python %{__python3}

Name:		firejail
Summary:	SUID sandbox program
Version:	0.9.56
%global subrel	1
Release:	%mkrel 2
License:	GPLv2
Group:		System/Base
Url:		https://firejail.wordpress.com/
Source0:	https://download.sourceforge.net/firejail/firejail-%{version}.tar.xz
# https://github.com/netblue30/firejail/issues/2401
# https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2019-5736
Patch1:		0001-merge-shutdown-option-give-sandbox-time-to-terminate.patch
# https://github.com/netblue30/firejail/issues/2718
# https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2019-12589
Patch2:		CVE-2019-12589.patch
BuildRequires:	dos2unix
Requires:	python3

%description
Firejail is a SUID program that reduces the risk of security breaches by
restricting the running environment of untrusted applications using Linux
namespaces and seccomp-bpf. It allows a process and all its descendants to
have their own private view of the globally shared kernel resources, such
as the network stack, process table, mount table.

%prep
%setup -q
%autopatch -p1

# fix shebang
dos2unix contrib/*.py
sed -i -e 's,^#!%{_bindir}/env.*python3\?$,#!%{__python3},' contrib/*.py

%build
%configure2_5x
%make_build

%install
%make_install

# handle docs in files section
rm -rf %{buildroot}%{_docdir}

%files
%license COPYING
%doc README RELNOTES
%config %{_sysconfdir}/firejail/
%{_datadir}/bash-completion/completions/fire*
%{_mandir}/man?/fire*.?*
%{_bindir}/fire*
%{_libdir}/firejail/


%changelog
* Fri Feb 28 2020 wally <wally> 0.9.56-2.1.mga7
+ Revision: 1551453
- add upstream patches for CVE-2019-12499 and CVE-2019-12589 (mga#26013)

* Fri Jan 18 2019 wally <wally> 0.9.56-2.mga7
+ Revision: 1357899
- switch to python3

* Wed Oct 24 2018 wally <wally> 0.9.56-1.mga7
+ Revision: 1325063
- new version 0.9.56

* Sat Aug 25 2018 wally <wally> 0.9.54-1.mga7
+ Revision: 1254449
- new version 0.9.54

* Sun Apr 22 2018 wally <wally> 0.9.52-2.mga7
+ Revision: 1221041
- fix python script shebangs
- don't provide private .so

* Sun Apr 22 2018 wally <wally> 0.9.52-1.mga7
+ Revision: 1221022
- imported package firejail

